SELECT Код_марки_троса INTO #TmpTable FROM Справочник_марок_тросов
SET IDENTITY_INSERT Справочник_марок_тросов ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 1) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (1,'трос сечением 38.1',38.1,7,47950,331)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 2) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (2,'трос сечением 50.45',50.45,7,63850,438)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 3) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (3,'трос сечением 48.64',48.64,19,59950,418)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 4) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (4,'трос сечением 72.95',72.95,19,89950,627)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 5) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (5,'трос сечением 101.72',101.72,19,124500,873)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 6) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (6,'трос сечением 117.9',117.9,19,145500,1015)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 7) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (7,'трос сечением 135.28',135.28,19,166500,1160)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 8) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (8,'трос сечением 153.84',153.84,19,189500,1320)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 9) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (9,'трос сечением 168.17',168.17,37,195500,1435)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 10) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (10,'трос сечением 197.29',197.29,37,229500,1685)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 11) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (11,'трос сечением 262.51',262.51,37,312000,2240)
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_марки_троса = 12) INSERT INTO Справочник_марок_тросов (Код_марки_троса,Описание,Сечение,Количество_проволок,Pразрыв,Масса) VALUES (12,'трос сечением 298.52',298.52,37,347000,2550)

SET IDENTITY_INSERT Справочник_марок_тросов OFF
DROP TABLE #TmpTable
